(*************************************************************************)
(*                                                                       *)
(*                                OCaPIC                                 *)
(*                                                                       *)
(*            Benoit Vaugon, Université Pierre et Marie Curie            *)
(*                                                                       *)
(*    Ce fichier est distribué sous les termes de la licence CeCILL-B    *)
(*    décrite dans le fichier ../../LICENCE.                             *)
(*                                                                       *)
(*************************************************************************)

open Serial;;

(* Type des valeurs transferees de l'ordinateur vers le PIC *)
type t = Clear | Moveto of int * int | Int of int | Text of string

(* Cannal de communication avec le PIC via le port serie *)
let (chan : (t, unit) channel) = open_tty "/dev/ttyUSB0";;

(* Utilitaires *)
let clear () = send chan Clear;;
let moveto l c = send chan (Moveto (l, c));;
let print_int i = send chan (Int i);;
let print_string s = send chan (Text s);;
